Search Results for

Show / Hide Table of Contents

# Class BarSeries.Bar

A single bar in a BarSeries

##### Inheritance

System.Object
BarSeries.Bar

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Terminal.Gui.Graphs

###### Assembly: Terminal.Gui.dll

##### Syntax

    public class Bar

### Constructors

#### Bar(String, GraphCellToRender, Single)

Creates a new instance of a single bar rendered in the given `fill` that extends out `value` graph space units in the default Orientation

##### Declaration

    public Bar(string text, GraphCellToRender fill, float value)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | text |
GraphCellToRender | fill |
System.Single | value |

### Properties

#### Fill

The color and character that will be rendered in the console when the bar extends over it

##### Declaration

    public GraphCellToRender Fill { get; set; }

##### Property Value

Type | Description
--- | ---
GraphCellToRender |

#### Text

Optional text that describes the bar. This will be rendered on the corresponding Axis unless DrawLabels is false

##### Declaration

    public string Text { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### Value

The value in graph space X/Y (depending on Orientation) to which the bar extends.

##### Declaration

    public float Value { get; }

##### Property Value

Type | Description
--- | ---
System.Single |